Lists the customer-managed OpenID Connect identity providers associated with a billing account. The client secrets are never included in the response.
Request
GET https://www.activityinfo.org/resources/billingAccounts/{accountId}/idps
Successful response
application/json
| array[object] | |||
| id | string | The globally-unique identifier of this identity provider. This is the value stored against an email domain to associate it with this provider. | required |
| label | string | A human-friendly label for this identity provider. | required |
| url | string | The OpenID Connect issuer / discovery base URL (for example, "https://login.microsoftonline.com/{tenant}/v2.0"). | required |
| clientId | string | The OAuth2 client id issued to ActivityInfo by the customer's identity provider. | required |
| secretExpiration | float | The expiration date of the current client secret. | required |
Error responses
| Status Code | Error Code | Description |
|---|---|---|
| 401 | AUTHENTICATION_ |
The request must be authenticated |
| 403 | FORBIDDEN | Permission denied |
| 404 | NOT_ |
The resource could not be found |
| 410 | DELETED | The resource has been deleted |
Example
curl -u anything:YOUR_API_TOKEN \
https://www.activityinfo.org/resources/billingAccounts/190780004/idps